hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Amareshwari Sriramadasu (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HADOOP-3743) -libjars, -files and -archives options do not work with 0.18
Date Wed, 16 Jul 2008 05:21:31 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-3743?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Amareshwari Sriramadasu updated HADOOP-3743:
--------------------------------------------

    Attachment: patch-3743.txt

Here is patch with:
* Removed code for Parser and Options in JobShell.
* TestJobShell is modified not to create temporary file (files_tmp) in the cwd

bq. also since the generic options parser always does the parsing — in case of JobShell
as well — the property conf.set("mapred.used.genericoptionsparser", "yes"); will always
be set? right?
Yes. The static configuration has _mapred.used.genericoptionsparser_ value set to yes.

bq. In that case it will always print the warning always.
Warning will not be printed, because JobClient checks for the configuration property in JobConf
submitted to the _submitJob_. And _mapred.used.genericoptionsparser_ will be set in JobConf,
submitted to the _submitJob_, only if the application is implementing Tool. Thus applications
not implementing Tool will be warned to do the same.

bq.3)Here is a problem -
In case 1) -libjars is passed by JobShell. In case 2) -libjars is parsed by application.

bq. If JobShell does not parse -libjars in case 2) then we can print the warning in JobShell
if the properties of libjars and others are set in JobShell.
No. Because the actual parsing is done by GenericOptionsParser. 

> -libjars, -files and -archives options do not work with 0.18
> ------------------------------------------------------------
>
>                 Key: HADOOP-3743
>                 URL: https://issues.apache.org/jira/browse/HADOOP-3743
>             Project: Hadoop Core
>          Issue Type: Bug
>    Affects Versions: 0.17.0
>            Reporter: Mahadev konar
>            Assignee: Amareshwari Sriramadasu
>            Priority: Blocker
>             Fix For: 0.18.0
>
>         Attachments: patch-3743.txt, patch-3743.txt, patch-3743.txt
>
>
> I am not sure how to get -libjars and -files working with 0.18. I tried all the options
but cannot get it runnning. I am filing this as a blocker until we find out that its not broken.
-- in that case we need to update the docs with an example to say how it works. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message